<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class SubjectTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('subject')
            ->label('موضوع')
            ->sortable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
